/*
 * $Header: /home/jerenkrantz/tmp/commons/commons-convert/cvs/home/cvs/jakarta-commons-sandbox//i18n/src/java/org/apache/commons/i18n/MessageProvider.java,v 1.2 2004/12/29 17:03:55 dflorey Exp $
 * $Revision: 1.2 $
 * $Date: 2005-02-14 20:03:07 +0100 (Mo, 14 Feb 2005) $
 *
 * ====================================================================
 *
 * Copyright 2004 The Apache Software Foundation 
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */
package org.apache.commons.i18n;

import java.util.Locale;
import java.util.Map;

public interface MessageProvider {
    public String getText(String id, String entry, Locale locale) throws MessageNotFoundException;
    
    public Map getEntries(String id, Locale locale) throws MessageNotFoundException;
}